alle opties
jessie  ] [  stretch  ] [  buster  ] [  sid  ]
[ Bron: maven-enforcer  ]

Pakket: libmaven-enforcer-plugin-java (1.0-1)

Verwijzigingen voor libmaven-enforcer-plugin-java

Screenshot

Debian bronnen:

Het bronpakket maven-enforcer downloaden:

Beheerders:

Externe bronnen:

Vergelijkbare pakketten:

Maven build rule execution framework

Enforcer is a Maven build rule execution framework. Maven Enforcer Plugin provides goals to control certain environmental constraints such as Maven version, JDK version and OS family along with many more standard rules:

 * alwaysPass - Always passes... used to test plugin configuration.
 * alwaysFail - Always fail... used to test plugin configuration.
 * bannedDependencies - enforces that excluded dependencies aren't included.
 * evaluateBeanshell - evaluates a beanshell script.
 * requireReleaseDeps - enforces that no snapshots are included as
   dependencies.
 * requireReleaseVersion - enforces that the artifact is not a snapshot.
 * requireMavenVersion - enforces the Maven version.
 * requireJavaVersion - enforces the JDK version.
 * requireOS - enforces the OS / CPU Archictecture.
 * requirePluginVersions - enforces that all plugins have a specified version.
 * requireProperty - enforces the existence and values of properties.
 * requireFilesDontExist - enforces that the list of files do not exist.
 * requireFilesExist - enforces that the list of files do exist.
 * requireFilesSize - enforces that the list of files exist and are within a
   certain size range.
Custom rules are easy to make with the maven-enforcer-rule-api.

Andere aan libmaven-enforcer-plugin-java gerelateerde pakketten

  • depends
  • recommends
  • suggests
  • enhances

libmaven-enforcer-plugin-java downloaden

Pakket downloaden voor alle beschikbare platforms
Platform Pakketgrootte Geïnstalleerde grootte Bestanden
all 71,5 kB252,0 kB [overzicht]